Ver Fonte

Add publish script

Jethro Beekman há 8 anos atrás
pai
commit
0ad4c19f7e
1 ficheiros alterados com 6 adições e 0 exclusões
  1. 6 0
      publish.sh

+ 6 - 0
publish.sh

@@ -0,0 +1,6 @@
+#!/bin/bash
+OLD_GIT_PERM=$(stat --printf=%a .git)
+trap "chmod $OLD_GIT_PERM .git; exit 1" SIGINT
+chmod 000 .git
+cargo publish
+chmod $OLD_GIT_PERM .git